/// <reference types="node" />
import * as __aws_sdk_middleware_stack from "@aws-sdk/middleware-stack";
import * as __aws_sdk_types from "@aws-sdk/types";
import * as _stream from "stream";
import { InputTypesUnion } from "../types/InputTypesUnion";
import { OutputTypesUnion } from "../types/OutputTypesUnion";
import { DescribeBatchPredictionsInput } from "../types/DescribeBatchPredictionsInput";
import { DescribeBatchPredictionsOutput } from "../types/DescribeBatchPredictionsOutput";
import { MachineLearningResolvedConfiguration } from "../MachineLearningConfiguration";
export * from "../types/DescribeBatchPredictionsInput";
export * from "../types/DescribeBatchPredictionsOutput";
export * from "../types/DescribeBatchPredictionsExceptionsUnion";
export declare class DescribeBatchPredictionsCommand implements __aws_sdk_types.Command<InputTypesUnion, DescribeBatchPredictionsInput, OutputTypesUnion, DescribeBatchPredictionsOutput, MachineLearningResolvedConfiguration, _stream.Readable> {
    readonly input: DescribeBatchPredictionsInput;
    readonly model: __aws_sdk_types.OperationModel;
    readonly middlewareStack: __aws_sdk_middleware_stack.MiddlewareStack<DescribeBatchPredictionsInput, DescribeBatchPredictionsOutput, _stream.Readable>;
    constructor(input: DescribeBatchPredictionsInput);
    resolveMiddleware(clientStack: __aws_sdk_middleware_stack.MiddlewareStack<InputTypesUnion, OutputTypesUnion, _stream.Readable>, configuration: MachineLearningResolvedConfiguration): __aws_sdk_types.Handler<DescribeBatchPredictionsInput, DescribeBatchPredictionsOutput>;
}
