"use strict";
Object.defineProperty(exports, "__esModule", { value: true });
const CreateDataSourceFromRedshiftInput_1 = require("../shapes/CreateDataSourceFromRedshiftInput");
const CreateDataSourceFromRedshiftOutput_1 = require("../shapes/CreateDataSourceFromRedshiftOutput");
const InvalidInputException_1 = require("../shapes/InvalidInputException");
const InternalServerException_1 = require("../shapes/InternalServerException");
const IdempotentParameterMismatchException_1 = require("../shapes/IdempotentParameterMismatchException");
const ServiceMetadata_1 = require("../ServiceMetadata");
exports.CreateDataSourceFromRedshift = {
    metadata: ServiceMetadata_1.ServiceMetadata,
    name: "CreateDataSourceFromRedshift",
    http: {
        method: "POST",
        requestUri: "/"
    },
    input: {
        shape: CreateDataSourceFromRedshiftInput_1.CreateDataSourceFromRedshiftInput
    },
    output: {
        shape: CreateDataSourceFromRedshiftOutput_1.CreateDataSourceFromRedshiftOutput
    },
    errors: [
        {
            shape: InvalidInputException_1.InvalidInputException
        },
        {
            shape: InternalServerException_1.InternalServerException
        },
        {
            shape: IdempotentParameterMismatchException_1.IdempotentParameterMismatchException
        }
    ]
};
//# sourceMappingURL=CreateDataSourceFromRedshift.js.map