"use strict";
Object.defineProperty(exports, "__esModule", { value: true });
const DescribeMLModelsInput_1 = require("../shapes/DescribeMLModelsInput");
const DescribeMLModelsOutput_1 = require("../shapes/DescribeMLModelsOutput");
const InvalidInputException_1 = require("../shapes/InvalidInputException");
const InternalServerException_1 = require("../shapes/InternalServerException");
const ServiceMetadata_1 = require("../ServiceMetadata");
exports.DescribeMLModels = {
    metadata: ServiceMetadata_1.ServiceMetadata,
    name: "DescribeMLModels",
    http: {
        method: "POST",
        requestUri: "/"
    },
    input: {
        shape: DescribeMLModelsInput_1.DescribeMLModelsInput
    },
    output: {
        shape: DescribeMLModelsOutput_1.DescribeMLModelsOutput
    },
    errors: [
        {
            shape: InvalidInputException_1.InvalidInputException
        },
        {
            shape: InternalServerException_1.InternalServerException
        }
    ]
};
//# sourceMappingURL=DescribeMLModels.js.map