"use strict";
Object.defineProperty(exports, "__esModule", { value: true });
const UpdateBatchPredictionInput_1 = require("../shapes/UpdateBatchPredictionInput");
const UpdateBatchPredictionOutput_1 = require("../shapes/UpdateBatchPredictionOutput");
const InvalidInputException_1 = require("../shapes/InvalidInputException");
const ResourceNotFoundException_1 = require("../shapes/ResourceNotFoundException");
const InternalServerException_1 = require("../shapes/InternalServerException");
const ServiceMetadata_1 = require("../ServiceMetadata");
exports.UpdateBatchPrediction = {
    metadata: ServiceMetadata_1.ServiceMetadata,
    name: "UpdateBatchPrediction",
    http: {
        method: "POST",
        requestUri: "/"
    },
    input: {
        shape: UpdateBatchPredictionInput_1.UpdateBatchPredictionInput
    },
    output: {
        shape: UpdateBatchPredictionOutput_1.UpdateBatchPredictionOutput
    },
    errors: [
        {
            shape: InvalidInputException_1.InvalidInputException
        },
        {
            shape: ResourceNotFoundException_1.ResourceNotFoundException
        },
        {
            shape: InternalServerException_1.InternalServerException
        }
    ]
};
//# sourceMappingURL=UpdateBatchPrediction.js.map