"use strict";
Object.defineProperty(exports, "__esModule", { value: true });
const _RDSDataSpec_1 = require("./_RDSDataSpec");
exports.CreateDataSourceFromRDSInput = {
    type: "structure",
    required: ["DataSourceId", "RDSData", "RoleARN"],
    members: {
        DataSourceId: {
            shape: {
                type: "string",
                min: 1
            }
        },
        DataSourceName: {
            shape: {
                type: "string"
            }
        },
        RDSData: {
            shape: _RDSDataSpec_1._RDSDataSpec
        },
        RoleARN: {
            shape: {
                type: "string",
                min: 1
            }
        },
        ComputeStatistics: {
            shape: {
                type: "boolean"
            }
        }
    }
};
//# sourceMappingURL=CreateDataSourceFromRDSInput.js.map