"use strict";
Object.defineProperty(exports, "__esModule", { value: true });
const _PerformanceMetrics_1 = require("./_PerformanceMetrics");
exports._Evaluation = {
    type: "structure",
    required: [],
    members: {
        EvaluationId: {
            shape: {
                type: "string",
                min: 1
            }
        },
        MLModelId: {
            shape: {
                type: "string",
                min: 1
            }
        },
        EvaluationDataSourceId: {
            shape: {
                type: "string",
                min: 1
            }
        },
        InputDataLocationS3: {
            shape: {
                type: "string"
            }
        },
        CreatedByIamUser: {
            shape: {
                type: "string"
            }
        },
        CreatedAt: {
            shape: {
                type: "timestamp"
            }
        },
        LastUpdatedAt: {
            shape: {
                type: "timestamp"
            }
        },
        Name: {
            shape: {
                type: "string"
            }
        },
        Status: {
            shape: {
                type: "string"
            }
        },
        PerformanceMetrics: {
            shape: _PerformanceMetrics_1._PerformanceMetrics
        },
        Message: {
            shape: {
                type: "string"
            }
        },
        ComputeTime: {
            shape: {
                type: "integer"
            }
        },
        FinishedAt: {
            shape: {
                type: "timestamp"
            }
        },
        StartedAt: {
            shape: {
                type: "timestamp"
            }
        }
    }
};
//# sourceMappingURL=_Evaluation.js.map