"use strict";
Object.defineProperty(exports, "__esModule", { value: true });
const _ScoreValuePerLabelMap_1 = require("./_ScoreValuePerLabelMap");
const _DetailsMap_1 = require("./_DetailsMap");
exports._Prediction = {
    type: "structure",
    required: [],
    members: {
        predictedLabel: {
            shape: {
                type: "string",
                min: 1
            }
        },
        predictedValue: {
            shape: {
                type: "float"
            }
        },
        predictedScores: {
            shape: _ScoreValuePerLabelMap_1._ScoreValuePerLabelMap
        },
        details: {
            shape: _DetailsMap_1._DetailsMap
        }
    }
};
//# sourceMappingURL=_Prediction.js.map