"use strict";
Object.defineProperty(exports, "__esModule", { value: true });
const CreateDataSourceFromRDSInput_1 = require("../shapes/CreateDataSourceFromRDSInput");
const CreateDataSourceFromRDSOutput_1 = require("../shapes/CreateDataSourceFromRDSOutput");
const InvalidInputException_1 = require("../shapes/InvalidInputException");
const InternalServerException_1 = require("../shapes/InternalServerException");
const IdempotentParameterMismatchException_1 = require("../shapes/IdempotentParameterMismatchException");
const ServiceMetadata_1 = require("../ServiceMetadata");
exports.CreateDataSourceFromRDS = {
    metadata: ServiceMetadata_1.ServiceMetadata,
    name: "CreateDataSourceFromRDS",
    http: {
        method: "POST",
        requestUri: "/"
    },
    input: {
        shape: CreateDataSourceFromRDSInput_1.CreateDataSourceFromRDSInput
    },
    output: {
        shape: CreateDataSourceFromRDSOutput_1.CreateDataSourceFromRDSOutput
    },
    errors: [
        {
            shape: InvalidInputException_1.InvalidInputException
        },
        {
            shape: InternalServerException_1.InternalServerException
        },
        {
            shape: IdempotentParameterMismatchException_1.IdempotentParameterMismatchException
        }
    ]
};
//# sourceMappingURL=CreateDataSourceFromRDS.js.map