"use strict";
Object.defineProperty(exports, "__esModule", { value: true });
const GetMLModelInput_1 = require("../shapes/GetMLModelInput");
const GetMLModelOutput_1 = require("../shapes/GetMLModelOutput");
const InvalidInputException_1 = require("../shapes/InvalidInputException");
const ResourceNotFoundException_1 = require("../shapes/ResourceNotFoundException");
const InternalServerException_1 = require("../shapes/InternalServerException");
const ServiceMetadata_1 = require("../ServiceMetadata");
exports.GetMLModel = {
    metadata: ServiceMetadata_1.ServiceMetadata,
    name: "GetMLModel",
    http: {
        method: "POST",
        requestUri: "/"
    },
    input: {
        shape: GetMLModelInput_1.GetMLModelInput
    },
    output: {
        shape: GetMLModelOutput_1.GetMLModelOutput
    },
    errors: [
        {
            shape: InvalidInputException_1.InvalidInputException
        },
        {
            shape: ResourceNotFoundException_1.ResourceNotFoundException
        },
        {
            shape: InternalServerException_1.InternalServerException
        }
    ]
};
//# sourceMappingURL=GetMLModel.js.map