"use strict";
Object.defineProperty(exports, "__esModule", { value: true });
const _TagList_1 = require("./_TagList");
exports.AddTagsInput = {
    type: "structure",
    required: ["Tags", "ResourceId", "ResourceType"],
    members: {
        Tags: {
            shape: _TagList_1._TagList
        },
        ResourceId: {
            shape: {
                type: "string",
                min: 1
            }
        },
        ResourceType: {
            shape: {
                type: "string"
            }
        }
    }
};
//# sourceMappingURL=AddTagsInput.js.map