"use strict";
Object.defineProperty(exports, "__esModule", { value: true });
const _RedshiftDataSpec_1 = require("./_RedshiftDataSpec");
exports.CreateDataSourceFromRedshiftInput = {
    type: "structure",
    required: ["DataSourceId", "DataSpec", "RoleARN"],
    members: {
        DataSourceId: {
            shape: {
                type: "string",
                min: 1
            }
        },
        DataSourceName: {
            shape: {
                type: "string"
            }
        },
        DataSpec: {
            shape: _RedshiftDataSpec_1._RedshiftDataSpec
        },
        RoleARN: {
            shape: {
                type: "string",
                min: 1
            }
        },
        ComputeStatistics: {
            shape: {
                type: "boolean"
            }
        }
    }
};
//# sourceMappingURL=CreateDataSourceFromRedshiftInput.js.map