"use strict";
Object.defineProperty(exports, "__esModule", { value: true });
const _TagKeyList_1 = require("./_TagKeyList");
exports.DeleteTagsInput = {
    type: "structure",
    required: ["TagKeys", "ResourceId", "ResourceType"],
    members: {
        TagKeys: {
            shape: _TagKeyList_1._TagKeyList
        },
        ResourceId: {
            shape: {
                type: "string",
                min: 1
            }
        },
        ResourceType: {
            shape: {
                type: "string"
            }
        }
    }
};
//# sourceMappingURL=DeleteTagsInput.js.map