"use strict";
Object.defineProperty(exports, "__esModule", { value: true });
const _Record_1 = require("./_Record");
exports.PredictInput = {
    type: "structure",
    required: ["MLModelId", "Record", "PredictEndpoint"],
    members: {
        MLModelId: {
            shape: {
                type: "string",
                min: 1
            }
        },
        Record: {
            shape: _Record_1._Record
        },
        PredictEndpoint: {
            shape: {
                type: "string"
            }
        }
    }
};
//# sourceMappingURL=PredictInput.js.map